# LiveThreadStream

class `praw.models.reddit.live.``LiveThreadStream`(live_thread: praw.models.reddit.live.LiveThread)

  Provides a `LiveThread` stream.

  Usually used via:

      for live_update in reddit.live("ta535s1hq2je").stream.updates():
          print(live_update.body)

  `__init__`(live_thread: praw.models.reddit.live.LiveThread)

    Create a LiveThreadStream instance.

    Parameters

      live_thread – The live thread associated with the stream.

  `updates`(**stream_options: Dict[str, Any]) → Iterator[praw.models.reddit.live.LiveUpdate]

    Yield new updates to the live thread as they become available.

    Parameters

      skip_existing – Set to `True` to only fetch items created after the stream (default: `False`).

    As with `LiveThread.updates()`, updates are yielded as `LiveUpdate`.

    Updates are yielded oldest first. Up to 100 historical updates will initially be returned.

    Keyword arguments are passed to `stream_generator()`.

    For example, to retrieve all new updates made to the `"ta535s1hq2je"` live thread, try:

        for live_update in reddit.live("ta535s1hq2je").stream.updates():
            print(live_update.body)

    To only retrieve new updates starting from when the stream is created, pass `skip_existing=True`:

        live_thread = reddit.live("ta535s1hq2je")
        for live_update in live_thread.stream.updates(skip_existing=True):
            print(live_update.author)